{
   {{DEBUG}} console.log('starting injecting css rules');
   var selectors = JSON.parse({{BRIDGE}}.getElemhideSelectors());
   {{DEBUG}} console.log('parsed selectors: ' + selectors.length);
   var head = document.getElementsByTagName("head")[0];
   var style = document.createElement("style");
   head.appendChild(style);
   var sheet = style.sheet ? style.sheet : style.styleSheet;
   for (var i=0; i<selectors.length; i++)
   {
     if (sheet.insertRule)
     {
       sheet.insertRule(selectors[i] + ' { display: none !important; }', 0);
     }
     else
     {
       sheet.addRule(selectors[i], 'display: none !important;', 0);
     }
   }
   {{DEBUG}} console.log('finished injecting css rules');


   {{DEBUG_START}}
   console.log('elem start ');
    for (var i = 0; i < selectors.length; i++) {
        var selector = selectors[i];
        if (selector[0] == '#') {
            var element = document.getElementById(selector.substr(1));
            if (element != undefined) {
                console.log('elem blocked ' + selector);
            }
        } else {
            var elements = document.getElementsByClassName(selector.substr(1));
            if (elements != undefined) {
                for (var k = 0; k < elements.length; k++) {
                    console.log('elem hidden ' + selector);
                    break;
                }
            }
        }
    }
    console.log('elem finish ');
    {{DEBUG_END}}
}