(function () {

  'use strict';

  // TODO: __placeholder--mode__;
  var currentColorMode = '__placeholder--mode__';

  // 压缩成为一行的css；
  var oneLineStyle = '.SGS_DEV_FE a,.SGS_DEV_FE caption,.SGS_DEV_FE article,.SGS_DEV_FE b,.SGS_DEV_FE body,.SGS_DEV_FE dd,.SGS_DEV_FE div,.SGS_DEV_FE dl,.SGS_DEV_FE dt,.SGS_DEV_FE footer,.SGS_DEV_FE form,.SGS_DEV_FE h1,.SGS_DEV_FE h2,.SGS_DEV_FE h3,.SGS_DEV_FE h4,.SGS_DEV_FE h5,.SGS_DEV_FE h6,.SGS_DEV_FE header,.SGS_DEV_FE i,.SGS_DEV_FE label,.SGS_DEV_FE li,.SGS_DEV_FE main,.SGS_DEV_FE nav,.SGS_DEV_FE ol,.SGS_DEV_FE p,.SGS_DEV_FE section,.SGS_DEV_FE span,.SGS_DEV_FE strong,.SGS_DEV_FE table,.SGS_DEV_FE td,.SGS_DEV_FE th,.SGS_DEV_FE ul{border-color:#595959!important;background-color:#25292b!important;box-shadow:none!important;color:#999!important}.SGS_DEV_FE em{color:#8f3b35!important}.SGS_DEV_FE input[type=date],.SGS_DEV_FE input[type=date] *,.SGS_DEV_FE input[type=datetime-local],.SGS_DEV_FE input[type=datetime-local] *,.SGS_DEV_FE input[type=month],.SGS_DEV_FE input[type=month] *,.SGS_DEV_FE input[type=time],.SGS_DEV_FE input[type=time] *,.SGS_DEV_FE select,.SGS_DEV_FE textarea,select *{color:#eee!important}.SGS_DEV_FE button,.SGS_DEV_FE input:not([type=button]):not([type=submit]):not([type=reset]):not([type=image]):not([type=file]):not([type=date]):not([type=datetime-local]):not([type=month]):not([type=time]),.SGS_DEV_FE input[type=button],.SGS_DEV_FE input[type=file],.SGS_DEV_FE input[type=image],.SGS_DEV_FE input[type=reset],.SGS_DEV_FE input[type=submit],.SGS_DEV_FE textarea{border-color:#414c61!important;background-color:#1f2325!important;color:#e4efff!important}.SGS_DEV_FE .SGS_DEV_FE_HAVE_BGIMG *,.head header,.head header *,.SGS_DEV_FE .SGS_DEV_FE_CHILD_IMG_AND_A a{background-color:transparent!important}.SGS_DEV_FE .SGS_DEV_FE_GRADIENT,.SGS_DEV_FE .vr-figure160914 .ency-box,.SGS_DEV_FE .vr-figure160914 .list-link,.SGS_DEV_FE .vr-figure160914 .vote-box{background-color:rgba(0,0,0,.5)!important},.SGS_DEV_FE .news_nav2 .more,.SGS_DEV_FE .tab-base .scroll-left,.SGS_DEV_FE .tab-base .scroll-right{background:-webkit-linear-gradient(left,#222 70%,rgba(255,255,255,0))!important}.SGS_DEV_FE .tab-base li span{background-color:#444!important}.SGS_DEV_FE .SGS_DEV_FE_HAVE_RGBA{background-color:rgba(0,0,0,.5)!important}.SGS_DEV_FE .mainBody,.SGS_DEV_FE .results{background-color:#222!important}.SGS_DEV_FE .box-from-text,.SGS_DEV_FE .box-search-form,.SGS_DEV_FE .box-search-form *,.SGS_DEV_FE .foot-search,.SGS_DEV_FE .input-box,.SGS_DEV_FE .querybox,.SGS_DEV_FE .querybox *,.SGS_DEV_FE .rese-box,.SGS_DEV_FE .rese-box a{background-color:#1f2325!important}.SGS_DEV_FE .index-tab-tit a{background-color:#444!important}.SGS_DEV_FE .vr-tv20160831 .part-text-list li{border:1px solid #595959!important}.SGS_DEV_FE .SGS_DEV_FE_HAVE_BGIMG:not(.SGS_DEV_FE_HAVE_SIB_ELEMENTS){/*z-index:11!important*/}.SGS_DEV_FE .vrResultNoExg{z-index:12!important;position:relative}.SGS_DEV_FE #list_entity .SGS_DEV_FE_GRADIENT{background-color:rgba(0,0,0,0)!important}.SGS_DEV_FE .nav:after,.SGS_DEV_FE .news_nav2 .more{background:-webkit-linear-gradient(right,#333 10px,rgba(255,255,255,0))}.SGS_DEV_FE .nav:before,.SGS_DEV_FE .tab-base .scroll-left,.SGS_DEV_FE .tab-base .scroll-right{background:-webkit-linear-gradient(left,#333 10px,rgba(255,255,255,0))}.SGS_DEV_FE .SGS_DEV_FE_CHILD_IMG,.SGS_DEV_FE .SGS_DEV_FE_GRADIENT .abstract-img-link,.SGS_DEV_FE .abstract-img-title,.SGS_DEV_FE .ykplayer .x-trigger,.SGS_DEV_FE .x-player .x-ctrl-container{background-color:transparent!important}.SGS_DEV_FE .vr-figure160914 .figure-info .p,.SGS_DEV_FE .vr-figure160914 .figure-info h4{color:#ccc!important}';
  // Function: inject the style;
  (function injectStyle() {
    var styleNode = document.createElement('style');
    styleNode.type = 'text/css';
    var styleTextNode = document.createTextNode(oneLineStyle);
    styleNode.appendChild(styleTextNode);
    //
    var html = document.querySelector('html');
    var heads = document.getElementsByTagName('head');
    if (heads && heads.length > 0) {
      heads[0].appendChild(styleNode);
    } else if (html) {
      html.appendChild(styleNode);
    } else {
      setTimeout(arguments.callee, 10);
    }
  })();

  function isHavingSibElements(el) {
    var isHaving = false;
    var siblingNodes = el.parentNode.childNodes;
    for (var i=0, size=siblingNodes.length; i<size; ++i) {
      var currNode = siblingNodes[i];
      if (currNode && currNode !== el && currNode.nodeType === 1) {
        return true;
      }
    }
    return isHaving;
  }

  function isHavingSibA(el) {
    var isHaving = false;
    var siblingNodes = el.parentNode.childNodes;
    for (var i=0, size=siblingNodes.length; i<size; ++i) {
      var currNode = siblingNodes[i];
      if (currNode && currNode !== el && currNode.nodeType === 1 && currNode.tagName.toUpperCase() === 'A') {
        return true;
      }
    }
    return isHaving;
  }

  function processElements(elemArr) {
    elemArr = Array.prototype.slice.call(elemArr || document.body.getElementsByTagName('*'));
    // Process all;
    for (var i=0, size=elemArr.length; i<size; ++i) {
      var currElem = elemArr[i];
      if (currElem && !(3 === currElem.nodeType || 8 === currElem.nodeType)) {
        var appendClassList = '';
        var style = window.getComputedStyle(currElem, null);
        if (style) {
          if ('' !== style.backgroundImage && 'none' !== style.backgroundImage) {
            if (regExpBgImg.test(style.backgroundImage)) {
              appendClassList += ' SGS_DEV_FE_HAVE_BGIMG';
              // Check whether this element has sibling elements;
              if (isHavingSibElements(currElem)) {
                appendClassList += ' SGS_DEV_FE_HAVE_SIB_ELEMENTS';
              }
              // TODO
              if (isHavingSibA(currElem)) {
                currElem.parentNode.classList.add('SGS_DEV_FE_CHILD_IMG_AND_A');
              }
            }
            if (regExpGradient.test(style.backgroundImage)) {
              appendClassList += ' SGS_DEV_FE_GRADIENT';
            }
          }
          if (style.backgroundColor) {
            if (regExpBgTransparent.test(style.backgroundColor)) {
              var matches = regExpBgTransparent.exec(style.backgroundColor);
              if (matches.length > 1) {
                var alpha = parseFloat(matches[1]);
                if (alpha > 0 && alpha < 1) {
                  appendClassList += ' SGS_DEV_FE_HAVE_RGBA';
                }
              }
            }
          }
        }
        // Update: change current element immediately;
        currElem.className += appendClassList;
        // Update: change parent node of curr element, which is an <img>;
        if (currElem.tagName.toUpperCase() === 'IMG') {
          if (currElem.parentNode) {
            currElem.parentNode.classList.add('SGS_DEV_FE_CHILD_IMG');
          }
        }
      }
    }
  }

  // All regular expressions;
  var regExpBgTransparent = /rgba\(\s*?\d+?\s*?,\s*?\d+?\s*?,\s*?\d+?\s*?,\s*?([0-1]+(.[0-9]*)?)\s*?\)/i
    , regExpBgImg = /url/i
    , regExpGradient = /rgb|-webkit-gradient/i
    ;

  function changeTheme(mode, action) {
    // Step 1: process the root-node, i.e. html, immediately;
    if (!switchToMode(mode)) {
      return false;
    }
    // Step 2: process all the nodes;
    processElements();
    // Step 3: for ajax;
    document.addEventListener('DOMNodeInserted', function (event) {
      // processElements(event.target.querySelectorAll('*'));
      event.target.addEventListener('load', function () {
        console.log('loaded');
        // TODO: very bad procession;
        // processElements();
      }, true);
    });
  }

  function switchToMode(mode) {
    // Condition: for ios;
    if (window.sgnightmode && window.sgnightmode.blacklist != null) {
      if ((window.sgnightmode.blacklist) instanceof Array) {
        var arr = window.sgnightmode.blacklist;
        for (var i=0;i<arr.length;i++) {
          if (window.location.href.indexOf(arr[i])>=0)
          return false;
        }
      }
    }
    //
    var html = document.querySelector('html');
    if ('night' === mode) {
      html.classList.add('SGS_DEV_FE');
    } else {
      html.classList.remove('SGS_DEV_FE');
    }
    return true;
  }


  switchToMode(currentColorMode);
  if (/interactive|complete/.test(document.readyState)) {
    window.setTimeout(function () {
      changeTheme(currentColorMode);
    }, 1);
  } else {
    document.addEventListener('readystatechange', function() {
      if ('interactive' === document.readyState) {
        changeTheme(currentColorMode);
      }
    }, false);
  }

  window.SogouUtilsEX = window.SogouUtilsEX || {};
  window.SogouUtilsEX.toggleColorMode = changeTheme;

})();